View Issue Details

IDProjectCategoryView StatusLast Update
0004476Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004476: testcases for wallet backend library missing
DescriptionWe should test that library by mocking the database (which is not trivial, since IndexedDB is only completely implemented for browsers, but there's [1]) as well as the exchange.

[1] https://www.npmjs.com/package/indexeddb-js
TagsNo tags attached.

Relationships

related to 0004477 closedFlorian Dold disentangle helper functions from wallet backend for better testability 

Activities

Florian Dold

2016-11-14 04:00

manager   ~0011490

The wallet logic can only reasonably tested with end-to-end tests or very complex mocks.

We do have test cases now for functionality that is easy to factor out from the db/http logic, e.g. for coin selection or the crypto. We can also have tests that run in the browser (with coverage!), so we can test our database abstraction layer.

The rest is mostly plumbing, and should be tested end-to-end (selenium) or with telemetry.

Issue History

Date Modified Username Field Change
2016-04-27 16:41 Florian Dold New Issue
2016-04-27 16:41 Florian Dold Status new => assigned
2016-04-27 16:41 Florian Dold Assigned To => Florian Dold
2016-04-27 16:43 Florian Dold Relationship added related to 0004477
2016-05-04 15:49 Christian Grothoff Severity minor => feature
2016-05-04 15:49 Christian Grothoff Product Version => 0.0
2016-05-04 15:49 Christian Grothoff Target Version => 0.1
2016-09-27 22:27 Christian Grothoff Target Version 0.1 => 0.2
2016-11-14 04:00 Florian Dold Note Added: 0011490
2016-11-14 04:01 Florian Dold Status assigned => resolved
2016-11-14 04:01 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed